Last Comment Bug 738526 - SessionStore TabValue APIs are busted
: SessionStore TabValue APIs are busted
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: Firefox 14
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
:
Mentors:
Depends on:
Blocks: 697309
  Show dependency treegraph
 
Reported: 2012-03-22 18:54 PDT by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2012-04-04 10:22 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
patch (3.21 KB, patch)
2012-03-22 18:55 PDT, Mark Finkle (:mfinkle) (use needinfo?)
bnicholson: review+
Details | Diff | Splinter Review

Description Mark Finkle (:mfinkle) (use needinfo?) 2012-03-22 18:54:29 PDT
The IDL uses nsIDOMNode for the aTab param, but in native Fennec we have no nsIDOMNode tab elements. We use JS objects for the tabs. This patch changes the IDL to use jsval and it seems to work fine in my patches for bug 697309.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2012-03-22 18:55:27 PDT
Created attachment 608561 [details] [diff] [review]
patch

here's the patch
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2012-03-23 13:56:19 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/85503b53e573
Comment 3 Ed Morley [:emorley] 2012-03-24 13:56:51 PDT
https://hg.mozilla.org/mozilla-central/rev/85503b53e573
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:22:33 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/b3034380214d

Note You need to log in before you can comment on or make changes to this bug.